import withLayout from '@/layouts'
import useSave from "@/utils/hooks/useSave"
import image from '@/assets/icons/ProCard/8kb.jpg'
import AuthPage from '@/components/AuthPage'
import formatTimes from '@/utils/formatTime'
import { useState, useEffect } from 'react'
import { Button, Radio, Input } from '@tarojs/components'
import food from '@/assets/icons/ProCard/food.png'
import ProCard_hot from '@/assets/icons/ProCard/ProCard_hot.png'
import OrderMolded from '@/components/OrderMolded'
import Popup from '@/components/Popup'



import './style.less'

export default (props) => {
  const { } = props

  return (

    <view class='container'>
      <view class='wrapper'>
        <view class='left-complete-one'>
          <image className='left-image-1' src={ProCard_hot}></image>
          <view className='left-viewText'>
            返现￥16.00
          </view>
          {/* 评分 */}
          <view className='card-box-star'>
            {
              scoreList.map((_, index) => {
                const src = (index + '0.1') < score ? starOn : starOff
                return (
                  <image className='card-star-image' key={index} src={src} />
                )
              })
            }
            <text className='card-star-text' >{score}</text>
          </view>
          <view className='title-image'>
            <image className='image-1' mode='scaleToFill' src={image}></image>
            <image className='image-2' src={food}></image>
          </view>
          <view className='title-content'>
            <view className='Pro-title'>
              <view className='title-text'>【橘里橘啊换行啊啊啊气咖啡店】新鲜出炉啦!</view>
            </view>
            <text className='title-money' >￥6990元<text className='title-money-2'>门市价78元</text></text>
            <view className='title-position-on'>
              <image className='title-position' src={position} />
              <text className='title-position-image'>南京市/秦淮区</text>
              <image className='title-on' src={imageSrc} />
              <text onClick={() => AddCollect()} className='title-on-text'>{value}</text>
            </view>
          </view>
        </view>
        <view class='right-complete-two'>
          <view className='right-content'>
            {/* <view className='right-number'>×1</view> */}
            <image className='right-image' src={Pay} />
            <view className='right-title'>支付</view>
          </view>
        </view>
      </view>
    </view>


  )
}
